rpmio.h File Reference
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmsw.h>`
Include dependency graph for rpmio.h:

Go to the source code of this file.

## Typedefs

typedef const struct FDIO_s * | FDIO_t

## Functions

RPMIO Interface.
const char * | Fstrerror (FD_t fd)
| strerror(3) clone. More...
ssize_t | Fread (void *buf, size_t size, size_t nmemb, FD_t fd)
| fread(3) clone. More...
ssize_t | Fwrite (const void *buf, size_t size, size_t nmemb, FD_t fd)
| fwrite(3) clone. More...
int | Fseek (FD_t fd, off_t offset, int whence)
| fseek(3) clone. More...
off_t | Ftell (FD_t fd)
| ftell(3) clone. More...
int | Fclose (FD_t fd)
| fclose(3) clone. More...
FD_t | Fdopen (FD_t ofd, const char *fmode)
FD_t | Fopen (const char *path, const char *fmode)
| fopen(3) clone. More...
int | Fflush (FD_t fd)
| fflush(3) clone. More...
int | Ferror (FD_t fd)
| ferror(3) clone. More...
int | Fileno (FD_t fd)
| fileno(3) clone. More...
int | Fcntl (FD_t fd, int op, void *lip)
| fcntl(2) clone. More...
const char * | Fdescr (FD_t fd)
| Get informative description (eg file name) from fd for diagnostic output. More...

## RPMIO Utilities.

enum | fdOpX_e { FDSTAT_READ = 0, FDSTAT_WRITE = 1, FDSTAT_SEEK = 2, FDSTAT_CLOSE = 3, FDSTAT_DIGEST = 4, FDSTAT_MAX = 5 }
| Identify per-desciptor I/O operation statistics. More...
typedef enum fdOpX_e | fdOpX
| Identify per-desciptor I/O operation statistics. More...
off_t | fdSize (FD_t fd)
FD_t | fdDup (int fdno)
FD_t | fdLink (FD_t fd)
FD_t | fdFree (FD_t fd)
off_t | ufdCopy (FD_t sfd, FD_t tfd)
rpmop | fdOp (FD_t fd, fdOpX opx)

## Typedef Documentation

typedef const struct FDIO_s* FDIO_t

Definition at line 24 of file rpmio.h.

typedef enum fdOpX_e fdOpX

Identify per-desciptor I/O operation statistics.

## Enumeration Type Documentation

enum fdOpX_e

Identify per-desciptor I/O operation statistics.

Enumerator
FDSTAT_READ | Read statistics index.
FDSTAT_WRITE | Write statistics index.
FDSTAT_SEEK | Seek statistics index.
FDSTAT_CLOSE | Close statistics index
FDSTAT_DIGEST | Digest statistics index.
FDSTAT_MAX |

Definition at line 124 of file rpmio.h.

## Function Documentation

int Fclose | ( | FD_t | fd | ) |

fclose(3) clone.

Referenced by exportDB(), importDB(), main(), and process_package().

int Fcntl | ( | FD_t | fd,
|  | int | op,
|  | void * | lip
| ) |  |

fcntl(2) clone.

FD_t fdDup | ( | int | fdno | ) |

Referenced by exportDB(), importDB(), main(), and process_package().

const char* Fdescr | ( | FD_t | fd | ) |

Get informative description (eg file name) from fd for diagnostic output.

FD_t fdFree | ( | FD_t | fd | ) |

FD_t fdLink | ( | FD_t | fd | ) |

rpmop fdOp | ( | FD_t | fd,
|  | fdOpX | opx
| ) |  |

FD_t Fdopen | ( | FD_t | ofd,
|  | const char * | fmode
| ) |  |

Referenced by main(), and process_package().

off_t fdSize | ( | FD_t | fd | ) |

int Ferror | ( | FD_t | fd | ) |

ferror(3) clone.

Referenced by main(), and process_package().

int Fflush | ( | FD_t | fd | ) |

fflush(3) clone.

int Fileno | ( | FD_t | fd | ) |

fileno(3) clone.

FD_t Fopen | ( | const char * | path,
|  | const char * | fmode
| ) |  |

fopen(3) clone.

Referenced by main(), and process_package().

ssize_t Fread | ( | void * | buf,
|  | size_t | size,
|  | size_t | nmemb,
|  | FD_t | fd
| ) |  |

fread(3) clone.

int Fseek | ( | FD_t | fd,
|  | off_t | offset,
|  | int | whence
| ) |  |

fseek(3) clone.

const char* Fstrerror | ( | FD_t | fd | ) |

strerror(3) clone.

Referenced by main(), and process_package().

off_t Ftell | ( | FD_t | fd | ) |

ftell(3) clone.

ssize_t Fwrite | ( | const void * | buf,
|  | size_t | size,
|  | size_t | nmemb,
|  | FD_t | fd
| ) |  |

fwrite(3) clone.

off_t ufdCopy | ( | FD_t | sfd,
|  | FD_t | tfd
| ) |  |

Referenced by main().